sdr::FIRBandStopCoeffs Class Reference

Implements the calculation of the filter coefficients for the use in the `FIRFilter` template class. More...

`#include <firfilter.hh>`

## Static Public Member Functions

static void | coeffs (std::vector< double > &alpha, double Fl, double Fu, double Fs)
| Calculates the filter coefficients. More...

## Detailed Description

Implements the calculation of the filter coefficients for the use in the `FIRFilter` template class.

## Member Function Documentation

static void sdr::FIRBandStopCoeffs::coeffs | ( | std::vector< double > & | alpha,
|  | double | Fl,
|  | double | Fu,
|  | double | Fs
| ) |  |

inlinestatic

Calculates the filter coefficients.

The documentation for this class was generated from the following file:

- /Users/hannes/Uni/Elektronik/sdr/libsdr/src/firfilter.hh